Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class GrabKeyDialog.KeyBinding

    java.lang.Object
      org.gjt.sp.jedit.gui.GrabKeyDialog.KeyBinding

Enclosing class:
  GrabKeyDialog

    public static class GrabKeyDialog.KeyBinding

extends java.lang.Object

A jEdit action or macro with its two possible shortcuts.

Since:
  jEdit 3.2pre8

Field Summary
`boolean` | `isPrefix`
`java.lang.String` | `label`
`java.lang.String` | `name`
`java.lang.String` | `shortcut`

Constructor Summary
`GrabKeyDialog.KeyBinding(java.lang.String name, java.lang.String label, java.lang.String shortcut, boolean isPrefix)`

Method Summary
`boolean` | `isAssigned()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### label

    public java.lang.String label

### shortcut

    public java.lang.String shortcut

### isPrefix

    public boolean isPrefix

Constructor Detail

### GrabKeyDialog.KeyBinding

    public GrabKeyDialog.KeyBinding(java.lang.String name,
                                    java.lang.String label,
                                    java.lang.String shortcut,
                                    boolean isPrefix)

Method Detail

### isAssigned

    public boolean isAssigned()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD